import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { OverviewPageRoutingModule } from 'app/pages/overview/overview-page-routing.module';
import { OverviewPageComponent } from 'app/pages/overview/overview-page.component';
import { DashboardCardComponent } from 'app/commons/component/dashboard-card/dashboard-card.component';
import { DashboardCardModule } from 'app/commons/component/dashboard-card/dashboard-card.module';
import { MaterialModule } from 'app/commons/ui/material/material.module';
import { AddDashboardDialogComponent } from './add-dashboard-dialog/add-dashboard-dialog.component';

@NgModule({
  imports: [
    CommonModule,
    OverviewPageRoutingModule,
    DashboardCardModule,
    MaterialModule
  ],
  declarations: [
    OverviewPageComponent,
    AddDashboardDialogComponent
  ],
  entryComponents: [
    AddDashboardDialogComponent
  ]
})
export class OverviewPageModule { }
